Bug 233365 - New port: x11-wm/aphelia Light, single-file, minimalist window manager for X11
Summary: New port: x11-wm/aphelia Light, single-file, minimalist window manager for X11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-21 01:21 UTC by Hyun Hwang
Modified: 2019-02-07 09:22 UTC (History)
0 users

See Also:


Attachments
x11-wm_uwurawrxdwm.shar (1.96 KB, text/plain)
2018-11-21 01:21 UTC, Hyun Hwang
no flags Details
Poudriere build log on 11.2-RELEASE amd64. (14.96 KB, text/plain)
2018-11-21 01:22 UTC, Hyun Hwang
no flags Details
Poudriere build log on 11.2-RELEASE i386. (14.15 KB, text/plain)
2018-11-21 01:23 UTC, Hyun Hwang
no flags Details
Updated_x11-wm_uwurawrxdwm.shar (2.01 KB, text/plain)
2018-11-21 14:10 UTC, Hyun Hwang
no flags Details
Updated poudriere build log on 11.2-RELEASE amd64. (16.89 KB, text/plain)
2018-11-21 14:11 UTC, Hyun Hwang
no flags Details
Updated poudriere build log on 11.2-RELEASE i386. (16.89 KB, text/plain)
2018-11-21 14:11 UTC, Hyun Hwang
no flags Details
x11-wm_aphelia.shar (2.02 KB, text/plain)
2018-12-06 19:49 UTC, Hyun Hwang
no flags Details
Poudriere build log on 11.2-RELEASE amd64. (17.37 KB, text/plain)
2018-12-06 19:50 UTC, Hyun Hwang
no flags Details
Poudriere build log on 11.2-RELEASE i386. (16.58 KB, text/plain)
2018-12-06 19:50 UTC, Hyun Hwang
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hyun Hwang 2018-11-21 01:21:17 UTC
Created attachment 199395 [details]
x11-wm_uwurawrxdwm.shar

This is an experimental(?) WM.

WWW: https://github.com/vardy/uwurawrxdwm

Poudriere build log to follow. `portlint -ACN` complained nothing.
Comment 1 Hyun Hwang 2018-11-21 01:22:55 UTC
Created attachment 199396 [details]
Poudriere build log on 11.2-RELEASE amd64.
Comment 2 Hyun Hwang 2018-11-21 01:23:21 UTC
Created attachment 199397 [details]
Poudriere build log on 11.2-RELEASE i386.
Comment 3 Hyun Hwang 2018-11-21 14:10:34 UTC
Created attachment 199418 [details]
Updated_x11-wm_uwurawrxdwm.shar
Comment 4 Hyun Hwang 2018-11-21 14:11:19 UTC
Created attachment 199419 [details]
Updated poudriere build log on 11.2-RELEASE amd64.
Comment 5 Hyun Hwang 2018-11-21 14:11:51 UTC
Created attachment 199420 [details]
Updated poudriere build log on 11.2-RELEASE i386.
Comment 6 Hyun Hwang 2018-12-06 19:49:34 UTC
Created attachment 199905 [details]
x11-wm_aphelia.shar

Rebranding.
Comment 7 Hyun Hwang 2018-12-06 19:50:09 UTC
Created attachment 199906 [details]
Poudriere build log on 11.2-RELEASE amd64.
Comment 8 Hyun Hwang 2018-12-06 19:50:30 UTC
Created attachment 199907 [details]
Poudriere build log on 11.2-RELEASE i386.
Comment 9 Tobias Kortkamp freebsd_committer 2019-02-07 09:22:10 UTC
Committed with some minor changes. Thanks!
Comment 10 commit-hook freebsd_committer 2019-02-07 09:22:38 UTC
A commit references this bug:

Author: tobik
Date: Thu Feb  7 09:21:52 UTC 2019
New revision: 492352
URL: https://svnweb.freebsd.org/changeset/ports/492352

Log:
  New port: x11-wm/aphelia

  A light, single-file, minimalist window manager for X11.

  This window manager is single-file and a super small binary with low
  resource consumption. Personally, I find it's useful for focused work
  where you aren't moving around too much and don't need multiple
  workspaces (it doesn't support them, obviously).

  WWW: https://github.com/vardy/aphelia

  PR:		233365
  Submitted by:	Hyun Hwang <hyun@caffeinated.codes>

Changes:
  head/x11-wm/Makefile
  head/x11-wm/aphelia/
  head/x11-wm/aphelia/Makefile
  head/x11-wm/aphelia/distinfo
  head/x11-wm/aphelia/pkg-descr